//   Copyright (c)  2005  John Abbott

//   This file is part of the source of CoCoALib, the CoCoA Library.

//   CoCoALib is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.

//   CoCoALib is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with CoCoALib.  If not, see <http://www.gnu.org/licenses/>.


// Source code for classes EFGModule and EFGModuleBase

#include "CoCoA/EFGModule.H"

//#include <vector>
using std::vector;
//#include <cstddef>
using std::size_t;


namespace CoCoA
{

  // C++ needs this function to be defined
//   EFGModuleBase::~EFGModuleBase()
//   {}

// JUST AN UGLY HACK TO LET ANNA COMPILE
// ??? myCompt should be pure virtual, but does not compile
  ConstRefRingElem EFGModuleBase::myCompt(const RawPtr& /*v*/, std::size_t /*pos*/) const
  {
    CoCoA_ERROR(ERR::SERIOUS, "EFGModuleBase::myCompt");
    return zero(myBaseRing());
  }

  
  RefRingElem EFGModuleBase::myCompt(RawPtr& /*v*/, std::size_t /*pos*/) const
  {
    CoCoA_ERROR(ERR::SERIOUS, "EFGModuleBase::myCompt");
    RingElem JUNK(myBaseRing());
    
    return JUNK;
  }
  

} // end of namespace CoCoA


// RCS header/log in the next few lines
// $Header: /Volumes/Home_1/cocoa/cvs-repository/CoCoALib-0.99/src/AlgebraicCore/EFGModule.C,v 1.5 2008/06/30 17:14:32 abbott Exp $
// $Log: EFGModule.C,v $
// Revision 1.5  2008/06/30 17:14:32  abbott
// Commented out unused parameter names (to avoid annoying compiler warnings)
//
// Revision 1.4  2008/05/30 12:49:18  abbott
// Added SERIOUS errors to the two stopgap myCompt default implementations
// (which are just a nasty hack to let things compile)
//
// Revision 1.3  2008/05/29 15:42:33  bigatti
// -- added ugly fix for myCompt (should be pure virtual)
//
// Revision 1.2  2007/10/30 17:14:08  abbott
// Changed licence from GPL-2 only to GPL-3 or later.
// New version for such an important change.
//
// Revision 1.1.1.1  2007/03/09 15:16:11  abbott
// Imported files
//
// Revision 1.2  2007/03/08 18:22:29  cocoa
// Just whitespace cleaning.
//
// Revision 1.1.1.1  2006/05/30 11:39:37  cocoa
// Imported files
//
// Revision 1.2  2006/03/27 12:21:25  cocoa
// Minor silly changes to reduce number of complaints from some compiler or other.
//
// Revision 1.1.1.1  2005/10/17 10:46:54  cocoa
// Imported files
//
// Revision 1.1.1.1  2005/05/03 15:47:31  cocoa
// Imported files
//
// Revision 1.2  2005/04/19 14:06:04  cocoa
// Added GPL and GFDL licence stuff.
//
// Revision 1.1.1.1  2005/01/27 15:12:13  cocoa
// Imported files
//
// Revision 1.2  2004/11/12 15:49:29  cocoa
// Tidying prior to 0.90 release.
// (a) documentation improved (or marked as poor)
// (b) sundry minor improvements to the code
//
// Revision 1.1  2004/01/28 15:54:09  cocoa
// Sundry additions.
//
//
