#include<iostream>
#include<string>
#include<cstdlib>  // for exit

using namespace std;


void CopyString(void)
{
  int NumQuotes = 0;
  char c;

  while ( (c=getchar()) != '=' );
  while ( (c=getchar()) != '\"' );
  while ( (c != ';') || (NumQuotes%2!=0) )
  {
    switch ( c )
    {
    case '\"': ++NumQuotes; break;
    case '\n':
      if (NumQuotes%2==0) { while ( (c=getchar()) != '\"' ); ++NumQuotes;}
      else cout << c;
      break;
    case '\\':
      switch ( c=getchar() )
      {
      case 'n':  cout << "\n"; break;
      case '\"': cout << "\""; break;
      default:   cout << "\\" << c;
      }
      break;
    default:   cout << c;
    }
    c = getchar();
  }
  cout << endl;
}


int main(int argc, char**argv)
{
  bool LongDescriptionFlag = false;
  //  bool HTMLFlag = false;
  for ( int i=1 ; i<argc ; ++i )
    if      (argv[i]==string("-l")) LongDescriptionFlag = true;
  //    else if (argv[i]==string("-h")) HTMLFlag = true;
    else
    {
      cerr << "***ERROR***  Unrecognised flag \"" << argv[i] << "\"" << endl;
      exit(1);
    }

  string str;
  while ( true )
  {
    cin >> str;
    if ( cin.eof() ) break;
    if ( str == "ShortDescription")
      CopyString();
    if ( LongDescriptionFlag && str == "LongDescription")
    {
      // if ( HTMLFlag ) cout << "<h3>long description</h3>" << endl; else
      cout << "=== long description ===" << endl;
      CopyString();
      cout << endl;
    }
    if ( str == "program()")
      break;
  }
}

