#ifndef CoCoA_TmpFactor_H
#define CoCoA_TmpFactor_H

//   Copyright (c)  2006  John Abbott

//   This file is part of the source of CoCoALib, the CoCoA Library.

//   CoCoALib is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.

//   CoCoALib is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with CoCoALib.  If not, see <http://www.gnu.org/licenses/>.


#include "CoCoA/ring.H"


/* This header file is included in the CoCoA sources.          */
/* It declares the interface between CoCoA and the factorizer. */
#include <list>
// using std::list;
#include <utility>
// using std::pair;

namespace CoCoA
{
  typedef std::pair<RingElem, unsigned int> FacPow;
  std::ostream& operator<<(std::ostream& out, const FacPow& FP);
  typedef std::list<FacPow> FactorList;
  FactorList factorize(ConstRefRingElem x); /* content?? */
  bool IsIrredPoly(ConstRefRingElem f);
}

#endif
